package com.ss.android.ugc.aweme.services.external.ability;

import X.0CH;
import X.2Pr;
import X.C1384Mot;
import X.C4836O8h;
import X.LsC;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.services.effectplatform.EffectPlatformBuilder;
import com.ss.android.ugc.effectmanager.effect.listener.IFetchEffectListListener;
import com.ss.android.ugc.effectmanager.effect.listener.IFetchEffectListener;
import com.ss.android.ugc.effectmanager.effect.model.Effect;
import java.util.List;
import java.util.Map;

public interface IAVEffectService {

    public interface IAVEffectReadyCallback<T> {
        static {
            Covode.recordClassIndex(105275);
        }

        void finish(T t);
    }

    public interface ResourceFinder {
        static {
            Covode.recordClassIndex(105276);
        }

        long createNativeResourceFinder(long j);

        void release(long j);
    }

    static {
        Covode.recordClassIndex(105273);
    }

    void buildEffectPlatform(Context context, IAVEffectReadyCallback<C1384Mot> iAVEffectReadyCallback, LsC<? super EffectPlatformBuilder, 2Pr> lsC);

    void buildEffectPlatform(Context context, boolean z, IAVEffectReadyCallback<C1384Mot> iAVEffectReadyCallback, LsC<? super EffectPlatformBuilder, 2Pr> lsC);

    void clearCacheInFTC();

    void fetchEffectListResource(List<String> list, Map<String, String> map, boolean z, C1384Mot mot, IFetchEffectListListener iFetchEffectListListener);

    void fetchEffectModel(String[] strArr, IAVEffectReadyCallback<String[]> iAVEffectReadyCallback);

    void fetchEffectResource(String str, boolean z, Map<String, String> map, C1384Mot mot, IFetchEffectListener iFetchEffectListener);

    C4836O8h getVideoCoverBitmapCache(0CH r1, String str, int i, int i2, int i3, float f);

    boolean isEffectControlGame(Effect effect);

    void provideResourceFinder(IAVEffectReadyCallback<ResourceFinder> iAVEffectReadyCallback);
}
